import Vuex from 'vuex'

import State from './state'
import Mutations from './mutations'
import Actions from './actions'

import FirebasePluginGenerator from './plugins/firebase'

export default function (Vue) {
  Vue.use(Vuex)
  Vue.store = new Vuex.Store({
    state: State,
    mutations: Mutations,
    actions: Actions,
    plugins: [FirebasePluginGenerator(Vue)]
  })
}
